package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 销售退回 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglReturninfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglReturninfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglReturninfoMapper.addSXsglReturninfo", pd);
    }

    public List<PageData> findSXsglReturninfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglReturninfoMapper.selectSXsglReturninfoList", pd);
    }

    public Integer SXsglReturninfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglReturninfoMapper.SXsglReturninfoRemove", pd);
    }


    public Integer updateSXsglReturninfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglReturninfoMapper.updateSXsglReturninfo", pd);
    }

}
